MCP Tools Reference: managedkafka

Tool: pause_connector

Pauses a Google Cloud Managed service for Apache Kafka Connect connector and its tasks.

The following sample demonstrate how to use curl to invoke the pause_connector MCP tool.

Curl Request
                  
curl --location 'https://managedkafka.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "pause_connector",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for PauseConnector.

PauseConnectorRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The name of the connector to pause. Format: projects/{project}/locations/{location}/connectClusters/{connect_cluster_id}/connectors/{connector_id}

Output Schema

Response for PauseConnector.

Tool Annotations

Destructive Hint: ✅ | Idempotent Hint: ✅ | Read Only Hint: ❌ | Open World Hint: ❌